<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FFC000=63</action>
    </script>
  </cheat>

  <cheat desc="1 Hit to Kill Enemy Now!">
    <script state="on">
      <action>maincpu.pb@FFD861=00</action>
      <action>maincpu.pb@FFD961=00</action>
      <action>maincpu.pb@FFDA61=00</action>
      <action>maincpu.pb@FFDB61=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bonus Stage Time"> <comment>Only enable this cheat on the Bonus Stage and turn it OFF after you've finished with it</comment>
    <script state="run">
      <action>maincpu.pb@FFC12C=18</action>
    </script>
  </cheat>

  <cheat desc="Finish Bonus Stage Now!">
    <script state="on">
      <action>maincpu.pb@FFC12C=00</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage">
    <parameter>
      <item value="0x01">Stage 1</item>
      <item value="0x02">Stage 2</item>
      <item value="0x03">Stage 3</item>
      <item value="0x04">Stage 5</item>
      <item value="0x05">Stage 6</item>
      <item value="0x06">Stage 7</item>
    </parameter>
    <script state="run">
      <action condition="(param==01) AND (maincpu.pb@FFC161==00)">maincpu.pb@FFC161=00</action>
      <action condition="(param==01) AND (maincpu.pb@FFC16F==00)">maincpu.pb@FFC16F=00</action>
      <action condition="(param==02) AND (maincpu.pb@FFC161==00)">maincpu.pb@FFC161=01</action>
      <action condition="(param==02) AND (maincpu.pb@FFC16F==00)">maincpu.pb@FFC16F=02</action>
      <action condition="(param==03) AND (maincpu.pb@FFC161==00)">maincpu.pb@FFC161=03</action>
      <action condition="(param==03) AND (maincpu.pb@FFC16F==00)">maincpu.pb@FFC16F=07</action>
      <action condition="(param==04) AND (maincpu.pb@FFC161==00)">maincpu.pb@FFC161=06</action>
      <action condition="(param==04) AND (maincpu.pb@FFC16F==00)">maincpu.pb@FFC16F=14</action>
      <action condition="(param==05) AND (maincpu.pb@FFC161==00)">maincpu.pb@FFC161=07</action>
      <action condition="(param==05) AND (maincpu.pb@FFC16F==00)">maincpu.pb@FFC16F=17</action>
      <action condition="(param==06) AND (maincpu.pb@FFC161==00)">maincpu.pb@FFC161=08</action>
      <action condition="(param==06) AND (maincpu.pb@FFC16F==00)">maincpu.pb@FFC16F=19</action>
    </script>
  </cheat>

  <!--  :ddcrew2:00090000:FFC161:00000002:00000000:Bonus Stage 1 (Buggy !):Can't finish this stage. -->
  <!--  :ddcrew2:00098000:FFC16F:00000005:00000000:Bonus Stage 1 (2/2) -->
  <!--  :ddcrew2:00090000:FFC161:00000004:00000000:Stage 4 (Buggy !):Can't start this stage. -->
  <!--  :ddcrew2:00098000:FFC16F:0000000B:00000000:Stage 4 (2/2) -->
  <!--  :ddcrew2:00090000:FFC161:00000005:00000000:Bonus Stage 2 (Buggy !):Can't finish this stage. -->
  <!--  :ddcrew2:00098000:FFC16F:00000012:00000000:Bonus Stage 2 (2/2) -->

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FFD088=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FFD089=04</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FFD09F=0F</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@FFC171=00|(maincpu.pb@FFC171 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FFD288=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FFD289=04</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FFD29F=0F</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@FFC172=00|(maincpu.pb@FFC172 BAND ~01)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
